OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
LDOM

# LDOM_BasicNode Class Reference

`#include <LDOM_BasicNode.hxx>`

Inheritance diagram for LDOM_BasicNode:

[legend]

## Public Member Functions
Standard_Boolean | isNull () const
LDOM_Node::NodeType | getNodeType () const
Standard_EXPORT const LDOM_BasicNode * | GetSibling () const
## Protected Member Functions
| LDOM_BasicNode ()
| LDOM_BasicNode (LDOM_Node::NodeType aType)
| LDOM_BasicNode (const LDOM_BasicNode &anOther)
LDOM_BasicNode & | operator= (const LDOM_NullPtr *)
Standard_EXPORT LDOM_BasicNode & | operator= (const LDOM_BasicNode &anOther)
void | SetSibling (const LDOM_BasicNode *anOther)
## Protected Attributes
LDOM_Node::NodeType | myNodeType
const LDOM_BasicNode * | mySibling

## Constructor & Destructor Documentation

LDOM_BasicNode::LDOM_BasicNode | ( |  | ) | `[inline, protected]`

LDOM_BasicNode::LDOM_BasicNode | ( | LDOM_Node::NodeType | aType | ) | `[inline, protected]`

LDOM_BasicNode::LDOM_BasicNode | ( | const LDOM_BasicNode & | anOther | ) | `[inline, protected]`

## Member Function Documentation

LDOM_Node::NodeType LDOM_BasicNode::getNodeType | ( |  | ) | const`[inline]`

Standard_EXPORT const LDOM_BasicNode* LDOM_BasicNode::GetSibling | ( |  | ) | const

Standard_Boolean LDOM_BasicNode::isNull | ( |  | ) | const`[inline]`

Standard_EXPORT LDOM_BasicNode& LDOM_BasicNode::operator= | ( | const LDOM_BasicNode & | anOther | ) | `[protected]`

LDOM_BasicNode& LDOM_BasicNode::operator= | ( | const LDOM_NullPtr * |  | ) | `[inline, protected]`

| Reimplemented in LDOM_BasicAttribute, LDOM_BasicElement, and LDOM_BasicText.

void LDOM_BasicNode::SetSibling | ( | const LDOM_BasicNode * | anOther | ) | `[inline, protected]`

## Field Documentation

LDOM_Node::NodeType LDOM_BasicNode::myNodeType`[protected]`

const LDOM_BasicNode* LDOM_BasicNode::mySibling`[protected]`

The documentation for this class was generated from the following file:

- LDOM_BasicNode.hxx